Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.model
Class WorkbenchViewerSorter

    java.lang.Object
      org.eclipse.jface.viewers.ViewerSorter
          org.eclipse.ui.model.WorkbenchViewerSorter

public class WorkbenchViewerSorter
extends ViewerSorter

A viewer sorter that sorts elements with registered workbench adapters by their text property. Note that capitalization differences are not considered by this sorter, so a > B > c

See Also:
  `IWorkbenchAdapter`

Field Summary

Fields inherited from class org.eclipse.jface.viewers.ViewerSorter
`collator`

Constructor Summary
`WorkbenchViewerSorter()` Creates a workbench viewer sorter using the default collator.
`WorkbenchViewerSorter(Collator collator)` Creates a workbench viewer sorter using the given collator.

Method Summary
`boolean` | `isSorterProperty(Object element, String propertyId)` Returns whether this viewer sorter would be affected by a change to the given property of the given element.

Methods inherited from class org.eclipse.jface.viewers.ViewerSorter
`category, compare, getCollator, sort`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WorkbenchViewerSorter

    public WorkbenchViewerSorter()

  Creates a workbench viewer sorter using the default collator.

### WorkbenchViewerSorter

    public WorkbenchViewerSorter(Collator collator)

  Creates a workbench viewer sorter using the given collator.

Parameters:
  `collator` - the collator to use to sort strings

Method Detail

### isSorterProperty

    public boolean isSorterProperty(Object element,
                                    String propertyId)

  Description copied from class: `ViewerSorter`
  Returns whether this viewer sorter would be affected by a change to the given property of the given element.

  The default implementation of this method returns `false`. Subclasses may reimplement.

  Overrides:
    `isSorterProperty` in class `ViewerSorter`
  Parameters:
    `element` - the element
    `propertyId` - the property
  Returns:
    `true` if the sorting would be affected, and `false` if it would be unaffected

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.